clear all

cd "/Users/kiki/Dropbox/Romania Education/JHR_replication_folder"
use short_census11.dta

*adjust byear variable

drop bmonth bday
*leap*
gen byte leap=((mod(byear,4) == 0 & mod(byear,100) != 0) | mod(byear,400) == 0)
gen bmonth=ll
gen bdate=zz

*drop 31st date of months with 30 days
drop if bmonth==4 & bdate==31
drop if bmonth==6 & bdate==31
drop if bmonth==9 & bdate==31
drop if bmonth==11 & bdate==31
drop if bmonth==2 & (bdate==30 | bdate==31) 
drop if bmonth==2 & leap==0 & bdate==29

*keep actual month and day of birth*
quietly gen int bday=.
quietly replace bday=0+bdate if bmonth==1 & leap==1
quietly replace bday=31+bdate if bmonth==2 & leap==1
quietly replace bday=60+bdate if bmonth==3 & leap==1
quietly replace bday=91+bdate if bmonth==4 & leap==1
quietly replace bday=121+bdate if bmonth==5 & leap==1
quietly replace bday=152+bdate if bmonth==6 & leap==1
quietly replace bday=182+bdate if bmonth==7 & leap==1
quietly replace bday=213+bdate if bmonth==8 & leap==1
quietly replace bday=244+bdate if bmonth==9 & leap==1
quietly replace bday=274+bdate if bmonth==10 & leap==1
quietly replace bday=305+bdate if bmonth==11 & leap==1
quietly replace bday=335+bdate if bmonth==12 & leap==1

quietly replace bday=0+bdate if bmonth==1 & leap==0
quietly replace bday=31+bdate if bmonth==2 & leap==0
quietly replace bday=59+bdate if bmonth==3 & leap==0
quietly replace bday=90+bdate if bmonth==4 & leap==0
quietly replace bday=120+bdate if bmonth==5 & leap==0
quietly replace bday=151+bdate if bmonth==6 & leap==0
quietly replace bday=181+bdate if bmonth==7 & leap==0
quietly replace bday=212+bdate if bmonth==8 & leap==0
quietly replace bday=243+bdate if bmonth==9 & leap==0
quietly replace bday=273+bdate if bmonth==10 & leap==0
quietly replace bday=304+bdate if bmonth==11 & leap==0
quietly replace bday=334+bdate if bmonth==12 & leap==0

drop if bday==.
drop if bmonth==.
drop if byear==.



collapse (sum) sample , by (bmonth byear bday)

rename sample cohort_size_11
save temp, replace


use short_census92.dta
gen sample=1


drop if bday==.
drop if bmonth==.
drop if byear==.

collapse (sum) sample , by (bmonth byear bday)

sort bmonth byear bday
merge 1:1 bmonth byear bday using temp

drop if _merge==2
drop _merge
gen attrition_rate= cohort_size_11/sample


save attrition_rate_JHR.dta, replace

 
